Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM :: Distribution 6.2.1-SNAPSHOT
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.workflow.core.impl
Class WorkflowProcessImpl

    java.lang.Object
      org.jbpm.process.core.impl.ProcessImpl
          org.jbpm.workflow.core.impl.WorkflowProcessImpl

All Implemented Interfaces:
  Serializable, ContextContainer, ContextResolver, KieDefinition, NodeContainer, Process, WorkflowProcess

Direct Known Subclasses:
  RuleFlowProcess

    public class WorkflowProcessImpl

extends ProcessImpl
implements WorkflowProcess, NodeContainer

Default implementation of a RuleFlow process.

See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from interface org.kie.api.definition.KieDefinition
`KieDefinition.KnowledgeType`

Constructor Summary
`WorkflowProcessImpl()`

Method Summary
`void` | `addNode(Node node)` Method for adding a node to this node container.
`protected NodeContainer` | `createNodeContainer()`
`Node` | `getNode(long id)` The node in this NodeContainer with the given id.
`Node[]` | `getNodes()` The Nodes of this NodeContainer.
`Node` | `internalGetNode(long id)`
`boolean` | `isAutoComplete()` Returns whether this process will automatically complete if it contains no active node instances anymore
`boolean` | `isDynamic()`
`void` | `removeNode(Node node)` Method for removing a node from this node container
`void` | `setAutoComplete(boolean autoComplete)`
`void` | `setDynamic(boolean dynamic)`

Methods inherited from class org.jbpm.process.core.impl.ProcessImpl
`addContext, equals, getContext, getContexts, getDefaultContext, getFunctionImports, getGlobalNames, getGlobals, getId, getImports, getKnowledgeType, getMetaData, getMetaData, getName, getNamespace, getPackageName, getResource, getRuntimeMetaData, getType, getVersion, hashCode, resolveContext, setDefaultContext, setFunctionImports, setGlobals, setId, setImports, setMetaData, setName, setPackageName, setResource, setRuntimeMetaData, setType, setVersion`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.jbpm.workflow.core.WorkflowProcess
`getFunctionImports, getGlobalNames, getGlobals, getImports, setFunctionImports, setGlobals, setImports`

Methods inherited from interface org.jbpm.process.core.Process
`setId, setMetaData, setName, setPackageName, setType, setVersion`

Methods inherited from interface org.kie.api.definition.process.Process
`getId, getMetaData, getName, getPackageName, getResource, getType, getVersion, setResource`

Methods inherited from interface org.kie.api.definition.KieDefinition
`getKnowledgeType, getNamespace`

Methods inherited from interface org.jbpm.process.core.ContextContainer
`addContext, getContext, getContexts, getDefaultContext, setDefaultContext`

Methods inherited from interface org.jbpm.workflow.core.NodeContainer
`resolveContext`

Constructor Detail

### WorkflowProcessImpl

    public WorkflowProcessImpl()

Method Detail

### createNodeContainer

    protected NodeContainer createNodeContainer()

### getNodes

    public Node[] getNodes()

  Description copied from interface: `NodeContainer`
  The Nodes of this NodeContainer.

  Specified by:
    `getNodes` in interface `NodeContainer`
  Returns:
    the nodes

### getNode

    public Node getNode(long id)

  Description copied from interface: `NodeContainer`
  The node in this NodeContainer with the given id.

  Specified by:
    `getNode` in interface `NodeContainer`
  Returns:
    the node with the given id

### internalGetNode

    public Node internalGetNode(long id)

### removeNode

    public void removeNode(Node node)

  Description copied from interface: `NodeContainer`
  Method for removing a node from this node container

  Parameters:
    `node` - the node to be removed

### addNode

    public void addNode(Node node)

  Description copied from interface: `NodeContainer`
  Method for adding a node to this node container. Note that the node will get an id unique for this node container.

  Parameters:
    `node` - the node to be added

### isAutoComplete

    public boolean isAutoComplete()

  Description copied from interface: `WorkflowProcess`
  Returns whether this process will automatically complete if it contains no active node instances anymore

  Returns:
    the names of the globals of this RuleFlow process

### setAutoComplete

    public void setAutoComplete(boolean autoComplete)

### isDynamic

    public boolean isDynamic()

### setDynamic

    public void setDynamic(boolean dynamic)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM :: Distribution 6.2.1-SNAPSHOT
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2015 JBoss by Red Hat. All Rights Reserved.